Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jta
Class UserTransactionHelper

    java.lang.Object
      org.quartz.ee.jta.UserTransactionHelper

public class UserTransactionHelper
extends Object

A helper for obtaining a handle to a UserTransaction...

Author:
  James House

Field Summary
`static String` | `DEFAULT_USER_TX_LOCATION`

Constructor Summary
`UserTransactionHelper(String userTxURL)` Create a UserTransactionHelper instance with the given settings.

Method Summary
`String` | `getUserTxLocation()`
`UserTransaction` | `lookup()`
`void` | `setUserTxLocation(String userTxURL)` Set the JNDI URL at which the Application Server's UserTransaction can be found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_USER_TX_LOCATION

    public static final String DEFAULT_USER_TX_LOCATION

See Also:
  Constant Field Values

Constructor Detail

### UserTransactionHelper

    public UserTransactionHelper(String userTxURL)
                          throws SchedulerConfigException

  Create a UserTransactionHelper instance with the given settings.

Method Detail

### getUserTxLocation

    public String getUserTxLocation()

### setUserTxLocation

    public void setUserTxLocation(String userTxURL)

  Set the JNDI URL at which the Application Server's UserTransaction can be found. If not set, the default value is "java:comp/UserTransaction" - which works for nearly all application servers.

### lookup

    public UserTransaction lookup()
                           throws SchedulerException

  Throws:
    `SchedulerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD